var system = require("../../system")
const http = require("http")
const querystring = require('querystring');
var settings = require("../../../config/settings");
const CtlBase = require("../ctl.base");
const logCtl = system.getObject("web.oplogCtl");
const uuidv4 = require('uuid/v4');
class CompanyauthcodeCtl extends CtlBase {
  constructor() {
    super(CtlBase.getServiceName(CompanyauthcodeCtl));

  }
  async initNewInstance(queryobj,req){
    var uuid = uuidv4();
    var u = uuid.replace(/\-/g, "");
    return system.getResult2({code:u},null);
  }
}
module.exports = CompanyauthcodeCtl;
